import 'package:bytedesk_kefu/model/helpCategory.dart';
import 'package:equatable/equatable.dart';

abstract class FeedbackState extends Equatable {
  final List propss;
  FeedbackState([this.propss]);

  @override
  List<Object> get props => (propss ?? []);
}

/// UnInitialized
class UnFeedbackState extends FeedbackState {
  UnFeedbackState();

  @override
  String toString() => 'UnFeedbackState';
}

class FeedbackEmpty extends FeedbackState {
  @override
  String toString() => 'FeedbackEmpty';
}

class FeedbackLoading extends FeedbackState {
  @override
  String toString() => 'FeedbackLoading';
}

class FeedbackLoadError extends FeedbackState {
  @override
  String toString() => 'FeedbackLoadError';
}

/// Initialized
class FeedbackCategoryState extends FeedbackState {
  final List<HelpCategory> categoryList;

  FeedbackCategoryState(this.categoryList) : super([categoryList]);

  @override
  String toString() => 'GetFeedbackCategoryState';
}
