import 'package:bytedesk_kefu/model/message.dart';
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

@immutable
abstract class MessageState extends Equatable {
  const MessageState();

  @override
  List<Object> get props => [];
}

class InitialMessageState extends MessageState {}

class MessageLoading extends MessageState {
  @override
  String toString() => 'MessageLoading';
}

class MessageUpLoading extends MessageState {
  @override
  String toString() => 'MessageUpLoading';
}

class ReceiveMessageState extends MessageState {
  final Message message;

  ReceiveMessageState({@required this.message}) : super();
}

class UploadImageSuccess extends MessageState {
  final String url;

  const UploadImageSuccess(this.url);

  @override
  List<Object> get props => [url];

  @override
  String toString() => 'UploadImageSuccess { logo: $url }';
}

class UpLoadImageError extends MessageState {
  @override
  String toString() => 'UpLoadImageError';
}

class QueryAnswerSuccess extends MessageState {
  final Message query;
  final Message answer;

  QueryAnswerSuccess({@required this.query, @required this.answer}) : super();
}

class MessageAnswerSuccess extends MessageState {
  final Message query;
  final Message answer;

  MessageAnswerSuccess({@required this.query, @required this.answer}) : super();
}

class RateAnswerSuccess extends MessageState {
  final Message result;

  RateAnswerSuccess({@required this.result}) : super();
}
