import 'package:bytedesk_kefu/model/requestAnswer.dart';
import 'package:bytedesk_kefu/http/http_api_client.dart';

class MessageRepository {
  final HttpApiClient httpApiClient = HttpApiClient();

  MessageRepository();

  Future<String> upload(String filePath) async {
    return await httpApiClient.upload(filePath);
  }

  Future<RequestAnswerResult> queryAnswer(String tid, String aid) async {
    return await httpApiClient.queryAnswer(tid, aid);
  }

  Future<RequestAnswerResult> messageAnswer(
      String type, String wid, String aid, String content) async {
    return await httpApiClient.messageAnswer(type, wid, aid, content);
  }

  Future<RequestAnswerResult> rateAnswer(
      String aid, String mid, bool rate) async {
    return await httpApiClient.rateAnswer(aid, mid, rate);
  }
}
